Net::DNS::RR::AAAA(3)

NAME
Net::DNS::RR::AAAA - DNS AAAA resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name IN AAAA address');

    $rr = new Net::DNS::RR(
        name    => 'example.com',
        type    => 'AAAA',
        address => '2001:DB8::8:800:200C:417A'
        );

DESCRIPTION
Class for DNS IPv6 Address (AAAA) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  address
    $IPv6_address = $rr->address;

Returns the text representation of the IPv6 address.

  address_long
    $IPv6_address = $rr->address_long;

Returns the text representation specified in RFC3513, 2.2\fIs0(1).

  address_short
    $IPv6_address = $rr->address_short;

Returns the textual form of address recommended by RFC5952.

COPYRIGHT
Copyright (c)1997-1998 Michael Fuhr.

Portions Copyright (c)2002-2004 Chris Reinhardt.

Portions Copyright (c)2012 Dick Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC3596, RFC3513, RFC5952